<?php

namespace App\Modules\Bookings;

use Illuminate\Support\Facades\View;
use App\Models\User;
use App\Models\Severity;
use Illuminate\Support\Facades\Redirect;
use App\Models\Status;
use App\Http\Controllers\BaseController;

class SupportController extends BaseController
{
    /**
     *	The layout that should be used for responses.
     */
    protected $layout = 'layouts.master';

    /**
     *	Returns the index page.
     */
    public function getIndex($id = 0)
    {
        if (! $id) {
            return Redirect::to('/');
        }

        $support = Support::find($id);

        // Redirect back to the dashboard if the ID was not
        // found or the task is not a remote support one.
        if (! $support or $support->type != 'support') {
            return Redirect::to('/');
        }

        $severities = [];
        foreach (Severity::all() as $severity) {
            $severities[$severity->id] = $severity->name;
        }

        $data = [
            'users'      => User::getActiveList(),
            'severities' => $severities,
            'statuses'   => Status::repairs()->get(),
            'task'       => $support,
        ];

        $this->layout->content = View::make('bookings::task', $data);
    }
}
